アドバイスありがとうございます。
こちらでもSpaceInvadersが動作しました。
* Linux 2.6.8 (debian sarge)
* ghc-6.4.1.20050801
という環境です。

手術にとりかかる前に、ある程度知識を蓄える必要があるので、
とりあえずはpanとfranのソースを読むところから始めていこうと思います。
----
吉田 悠一
oxy / kmc.gr.jp
http://mono.kmc.gr.jp/~oxy/

--
ML: haskell-jp / quickml.com
使い方: http://QuickML.com/